Package com.io7m.idstore.server.service.configuration.jaxb

# Class Branding

java.lang.Object
com.io7m.idstore.server.service.configuration.jaxb.Branding

public class Branding extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:com.io7m.idstore:configuration:1}ColorScheme" minOccurs="0"/>
           </sequence>
           <attribute name="ProductTitle" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Logo" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="LoginExtra" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ColorScheme`
  `colorScheme`
  `protected String`
  `loginExtra`
  `protected String`
  `logo`
  `protected String`
  `productTitle`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Branding()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ColorScheme`
  `getColorScheme()`
  Gets the value of the colorScheme property.
  `String`
  `getLoginExtra()`
  Gets the value of the loginExtra property.
  `String`
  `getLogo()`
  Gets the value of the logo property.
  `String`
  `getProductTitle()`
  Gets the value of the productTitle property.
  `void`
  `setColorScheme(ColorScheme value)`
  Sets the value of the colorScheme property.
  `void`
  `setLoginExtra(String value)`
  Sets the value of the loginExtra property.
  `void`
  `setLogo(String value)`
  Sets the value of the logo property.
  `void`
  `setProductTitle(String value)`
  Sets the value of the productTitle property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### colorScheme

    protected ColorScheme colorScheme

  - ### productTitle

    protected String productTitle

  - ### logo

    protected String logo

  - ### loginExtra

    protected String loginExtra

- ## Constructor Details

  - ### Branding

    public Branding()

- ## Method Details

  - ### getColorScheme

    public ColorScheme getColorScheme()
    Gets the value of the colorScheme property.
    Returns:
      possible object is `ColorScheme`

  - ### setColorScheme

    public void setColorScheme(ColorScheme value)
    Sets the value of the colorScheme property.
    Parameters:
      `value` - allowed object is `ColorScheme`

  - ### getProductTitle

    public String getProductTitle()
    Gets the value of the productTitle property.
    Returns:
      possible object is `String`

  - ### setProductTitle

    public void setProductTitle(String value)
    Sets the value of the productTitle property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLogo

    public String getLogo()
    Gets the value of the logo property.
    Returns:
      possible object is `String`

  - ### setLogo

    public void setLogo(String value)
    Sets the value of the logo property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLoginExtra

    public String getLoginExtra()
    Gets the value of the loginExtra property.
    Returns:
      possible object is `String`

  - ### setLoginExtra

    public void setLoginExtra(String value)
    Sets the value of the loginExtra property.
    Parameters:
      `value` - allowed object is `String`